Skip to content
Docs
Arcus
Popular questions
↑↓ to navigate↵ to selectesc to close
Book a demo

Delete a test plan

DELETE/projects/{project_id}/test_plans/{test_plan_id}
Base URL https://arcus.testsigma.com/api/v1

Permanently deletes a specific test plan from a project.

Authenticate with your API key as a Bearer token in the Authorization header. How to authenticate →
project_idUnique identifier of the project that contains the test plan.
test_plan_idUnique identifier or human-readable ID of the test plan to delete.
messageStatus message for the request.
Request
curl -X DELETE \
  'https://arcus.testsigma.com/api/v1/projects/{project_id}/test_plans/{test_plan_id}' \
  -H 'Authorization: Bearer <API_KEY>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://arcus.testsigma.com/api/v1/projects/{project_id}/test_plans/{test_plan_id}', {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <API_KEY>',
    'Content-Type': 'application/json'
  }
});
const data = await response.json();
import requests

response = requests.delete(
  'https://arcus.testsigma.com/api/v1/projects/{project_id}/test_plans/{test_plan_id}',
  headers={
    'Authorization': 'Bearer <API_KEY>',
    'Content-Type': 'application/json'
  }
)
data = response.json()
Response200 OK
{
  "message": "Test plan deleted successfully"
}

Was this page helpful?